-- Database export via SQLPro (https://www.sqlprostudio.com/)
-- Exported by camille at 27-01-2025 14:30.
-- WARNING: This file may contain descructive statements such as DROPs.
-- Please ensure that you are running the script at the proper location.


-- BEGIN TABLE public.tags
DROP TABLE IF EXISTS public.tags CASCADE;
BEGIN;

CREATE TABLE IF NOT EXISTS public.tags (
	id bigint DEFAULT nextval('tags_sampleid_seq'::regclass) NOT NULL,
	tag_name character varying NOT NULL,
	tag_description character varying NOT NULL,
	PRIMARY KEY(id)
);

COMMIT;

-- Inserting 17 rows into public.tags
-- Insert batch #1
INSERT INTO public.tags (id, tag_name, tag_description) VALUES
(1, 'spam', 'spam'),
(2, 'ads', 'predatory advertising'),
(3, 'antiblackness', 'open anti-black hostility'),
(4, 'homomisia', 'open same-sex relationship hostility'),
(5, 'transmisia', 'open transgender hostility'),
(6, 'antisemetism', 'open anti-jewish hostility'),
(7, 'ableism', 'open anti-disability hostility'),
(8, 'csam', 'child sexual abuse material'),
(9, 'nudity', 'nudity without content warnings'),
(10, 'misogyny', 'open hostility towards women'),
(11, 'misogynoir', 'open hostility towards black women'),
(12, 'harassment', 'continued, targeted abuse'),
(13, 'misandry', 'open hostility towards men'),
(14, 'violence', 'targeted speech meant to convey violent actions'),
(15, 'doxing', 'deliberate actions to publicise the identity of others'),
(16, 'TERFs', 'Trans Exclusionary Radical Feminism'),
(17, 'xenophobia', 'open hostility to foreigners/immigrants');

-- END TABLE public.tags

